## org.apache.mahout.cf.taste.impl.recommender.svd
Class NoPersistenceStrategy

    java.lang.Object
      org.apache.mahout.cf.taste.impl.recommender.svd.NoPersistenceStrategy

All Implemented Interfaces:
  PersistenceStrategy

    public class NoPersistenceStrategy

extends Object
implements PersistenceStrategy

A `PersistenceStrategy` which does nothing.

Constructor Summary
`NoPersistenceStrategy()`

Method Summary
`Factorization` `load()` Load a factorization from a persistent store.
`void` `maybePersist(Factorization factorization)` Write a factorization to a persistent store unless it already contains an identical factorization.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoPersistenceStrategy

    public NoPersistenceStrategy()

Method Detail

### load

    public Factorization load()
                       throws IOException

  Description copied from interface: `PersistenceStrategy`
  Load a factorization from a persistent store.

  Specified by:
    `load` in interface `PersistenceStrategy`
  Returns:
    a Factorization or null if the persistent store is empty.
  Throws:
    `IOException`

### maybePersist

    public void maybePersist(Factorization factorization)
                      throws IOException

  Description copied from interface: `PersistenceStrategy`
  Write a factorization to a persistent store unless it already contains an identical factorization.

  Specified by:
    `maybePersist` in interface `PersistenceStrategy`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.